Replaced /bin/sh by /bin/bash
[hvlinux.git] / stage2 / cis-groff
index 202430e..460e545 100755 (executable)
@@ -1,4 +1,6 @@
-#!/bin/sh
+#!/bin/bash
+set -o errexit
+
 # First argument of this script is the package name
 
 # Reading system configuration informations, functions and package versions.
@@ -7,26 +9,20 @@ source ../functions
 source ../packages-list
 
 # Applying patches (if any)
-apply_patches ${1} &&
-
-cd ${LFS_TMP}/${1} &&
+apply_patches ${1}
 
-# Many screen fonts don't have Unicode single quotes and dashes in
-# them. Tell Groff to use the ASCII equivalents instead:
-sed -i -e 's/2010/002D/' -e 's/2212/002D/' \
-    -e 's/2018/0060/' -e 's/2019/0027/' font/devutf8/R.proto &&
+cd ${LFS_TMP}/${1}
 
 PAGE=letter ./configure \
     --prefix=/usr \
-    --enable-multibyte &&
+    --enable-multibyte
 # Groff does not like to be made in parallel.
-make &&
-make install &&
+make
+make install
 
 # Some documentation programs, such as xman, will not work properly without
 # the following symlinks:
-ln -fsv eqn /usr/bin/geqn &&
+ln -fsv eqn /usr/bin/geqn
 ln -fsv tbl /usr/bin/gtbl
 
-# Return last error
 exit $?